Cyberduck Mountain Duck CLI

#10809 closed defect (fixed)

Server closed connection during identification exchange

Reported by: johnstonf Owned by: johnstonf
Priority: normal Milestone:
Component: sftp Version: 7.1
Severity: normal Keywords:
Cc: Architecture:
Platform: macOS 10.12

Description

It was working, then today, it now gives error "Connection Failed" and "Server closed connection during identification exchange. The connection attempt was rejected. The server may be down, or your network may not be properly configured.". I can log in using Filezilla, and two of my other macs can still log in no problem. I tried rebooting, uninstall/reinstall (but it keeps my bookmarks, so it's not fully uninstalling). SEE ATTACHED SCREENFLOW

Attachments (1)

CyberduckProblemMacbookAir.mp4 (1.3 MB) - added by johnstonf on Sep 17, 2019 at 8:52:14 PM.
screenflow

Download all attachments as: .zip

Change History (10)

Changed on Sep 17, 2019 at 8:52:14 PM by johnstonf

screenflow

comment:1 Changed on Sep 18, 2019 at 3:27:55 PM by johnstonf

  • Owner set to johnstonf
  • Status changed from new to assigned

To add to ticket... I also tried "MountainDuck" today, SAME ISSUE as CyberDuck... The error comes up so fast that i don't think it's really even trying... (my mac firewall is turned off, but it seems like something is blocking traffic or the app)

comment:2 Changed on Sep 19, 2019 at 7:29:07 AM by dkocher

  • Component changed from core to sftp
  • Summary changed from Cyberduck stopped being able to log into Digital Ocean droplet to Server closed connection during identification exchange

comment:3 Changed on Sep 19, 2019 at 8:28:28 AM by dkocher

Please check the server log.

comment:4 Changed on Sep 19, 2019 at 11:58:53 AM by johnstonf

Sep 19 07:44:05 FJ-MacBkAIR com.apple.xpc.launchd[1] (com.apple.quicklook[7367]): Endpoint has been activated through legacy launch(3) APIs. Please switch to XPC or bootstrap_check_in(): com.apple.quicklook
Sep 19 07:44:19 FJ-MacBkAIR AGMService[577]: ProcessPath : /Applications/Cyberduck.app/Contents/MacOS/Cyberduck
Sep 19 07:44:39 FJ-MacBkAIR Console[7248]: BUG in libdispatch client: kevent[EVFILT_MACHPORT] monitored resource vanished before the source cancel handler was invoked
Sep 19 07:44:46 FJ-MacBkAIR Google Chrome[497]: objc[497]: __weak variable at 0x7ffe450ca670 holds 0x2121212121212121 instead of 0x7ffe44b434d0. This is probably incorrect use of objc_storeWeak() and objc_loadWeak(). Break on objc_weak_error to debug.
Sep 19 07:44:51 FJ-MacBkAIR filecoordinationd[425]: BUG in libdispatch client: kevent[EVFILT_MACHPORT] monitored resource vanished before the source cancel handler was invoked
Sep 19 07:45:15 FJ-MacBkAIR com.apple.xpc.launchd[1] (com.apple.quicklook[7486]): Endpoint has been activated through legacy launch(3) APIs. Please switch to XPC or bootstrap_check_in(): com.apple.quicklook
Sep 19 07:45:57 FJ-MacBkAIR Cyberduck[7377]: [Thread-58] ERROR net.schmizz.sshj.transport.TransportImpl - Received end of connection, but no identification received. 
Sep 19 07:46:27 --- last message repeated 5 times ---
Sep 19 07:46:30 FJ-MacBkAIR Cyberduck[7377]: [Thread-58] ERROR net.schmizz.sshj.transport.TransportImpl - Received end of connection, but no identification received. 
Sep 19 07:46:30 FJ-MacBkAIR Cyberduck[7377]: [Thread-58] ERROR net.schmizz.sshj.transport.TransportImpl - Received end of connection, but no identification received. 
Sep 19 07:47:23 --- last message repeated 2 times ---
Sep 19 07:47:48 FJ-MacBkAIR com.apple.xpc.launchd[1] (com.apple.ReportCrash[7743]): Endpoint has been activated through legacy launch(3) APIs. Please switch to XPC or bootstrap_check_in(): com.apple.ReportCrash
Sep 19 07:47:50 FJ-MacBkAIR Cyberduck[7377]: [Thread-58] ERROR net.schmizz.sshj.transport.TransportImpl - Received end of connection, but no identification received. 
Sep 19 07:48:21 --- last message repeated 3 times ---
Sep 19 07:48:54 FJ-MacBkAIR Cyberduck[7377]: [Thread-58] ERROR net.schmizz.sshj.transport.TransportImpl - Received end of connection, but no identification received. 
Sep 19 07:48:54 FJ-MacBkAIR Cyberduck[7377]: [Thread-58] ERROR net.schmizz.sshj.transport.TransportImpl - Received end of connection, but no identification received. 
Sep 19 07:49:26 FJ-MacBkAIR com.apple.xpc.launchd[1] (com.apple.quicklook[7903]): Endpoint has been activated through legacy launch(3) APIs. Please switch to XPC or bootstrap_check_in(): com.apple.quicklook
Sep 19 07:50:12 FJ-MacBkAIR Cyberduck[7377]: [Thread-58] ERROR net.schmizz.sshj.transport.TransportImpl - Received end of connection, but no identification received.

Last edited on Sep 19, 2019 at 12:05:18 PM by dkocher (previous) (diff)

comment:5 Changed on Sep 19, 2019 at 12:32:11 PM by dkocher

I refer to the SSH server log on the Digital Ocean server which possibly has the explanation why the connection is dropped.

comment:6 Changed on Sep 19, 2019 at 2:14:23 PM by johnstonf

Here is section from my server log with people trying to hack in (as normal) and my SUCCESSFUL Cyberduck on a mac that is working (see session 7610), which proves it is showing in the /var/log/auth.log)... but i get NOTHING AT ALL when trying to connect from the mac in question (again, it WORKED when i first installed it , then suddenly just STOPPED, and the error pops up IMMEDIATELY (I don't think it is getting out past the local mac)... (so only 1 line of importance below)...

Sep 19 10:06:29 Toronto-A sshd[20984]: Accepted password for root from 206.248.136.143 port 58383 ssh2
Sep 19 10:06:29 Toronto-A sshd[20984]: pam_unix(sshd:session): session opened for user root by (uid=0)
Sep 19 10:06:29 Toronto-A systemd-logind[915]: New session 7610 of user root.
Sep 19 10:06:41 Toronto-A sshd[21074]: Invalid user kokila from 103.115.227.2 port 56058
Sep 19 10:06:41 Toronto-A sshd[21074]: pam_unix(sshd:auth): check pass; user unknown
Sep 19 10:06:41 Toronto-A sshd[21074]: pam_unix(sshd:auth): authentication failure; logname= uid=0 euid=0 tty=ssh ruser= rhost=103.115.227.2
Sep 19 10:06:42 Toronto-A sshd[21074]: Failed password for invalid user kokila from 103.115.227.2 port 56058 ssh2
Sep 19 10:06:42 Toronto-A sshd[21074]: Received disconnect from 103.115.227.2 port 56058:11: Bye Bye [preauth]
Sep 19 10:06:42 Toronto-A sshd[21074]: Disconnected from invalid user kokila 103.115.227.2 port 56058 [preauth]


Last edited on Sep 20, 2019 at 12:57:38 PM by dkocher (previous) (diff)

comment:7 Changed on Sep 20, 2019 at 12:55:10 PM by johnstonf

A couple more interesting facts: 1-If i turn off my network(WiFi) off at my MacbookAir (where problem occurs), it still pops up with the same message instantly "Connection Failed"... "Server closed connection during identification exchange. The connection attempt was rejected blah blah...". Obviously this message is incorrect, as it can't talk to the server when the networking is off. 2-If i try a simple FTP internally to my NAS (a Synology NAS) inside my house), which again, Filezilla works fine, it seems to try, but a few minutes later, I get a message "Connection Timed Out" (and this is FTP where my original problem listed sFTP).

Last edited on Sep 20, 2019 at 12:56:41 PM by johnstonf (previous) (diff)

comment:8 Changed on Sep 20, 2019 at 12:58:10 PM by dkocher

Can you check your proxy settings in the Network tab in System Preferences. You may have a SOCKS proxy defined.

comment:9 Changed on Sep 20, 2019 at 5:41:09 PM by johnstonf

  • Resolution set to fixed
  • Status changed from assigned to closed

You were RIGHT! I have NO IDEA why that kicked in... i didn't do anything to that setting... (and it worked at first... hmmm, oh well...) It was a bit tricky, as i saw SOCKS checked, then unchecked it... restarted... no go. Then I went back it, selected the SOCKS item, and REMOVED the items:

localhost 8080

Then had to exit Cyberduck, go back in, then got asked about fingerprint... PRESTO. Thanks! You have been so helpful! I will try for a few days, then purchase FOR SURE, if it works. Thanks again! Fred (Canada)

Note: See TracTickets for help on using tickets.
swiss made software